Bug 8429 - Compound SMB2 requests on an IPC connection can corrupt the reply stream.
Compound SMB2 requests on an IPC connection can corrupt the reply stream.
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: SMB2
3.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 8407
Blocks: 8399
  Show dependency treegraph
 
Reported: 2011-08-31 00:36 UTC by Jeremy Allison
Modified: 2011-09-15 18:45 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 3.6.1 (2.33 KB, patch)
2011-08-31 00:38 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2011-08-31 00:36:19 UTC
If a compound request is received on a IPC$ connection, we reply with the intermediate replies but then return immediately without correctly resetting the outgoing request to reply with only the final SMB2 request.

Patch to follow.

Jeremy.
Comment 1 Jeremy Allison 2011-08-31 00:36:56 UTC
This bug depends on metze's patch in bug #8407 being applied first.
Comment 2 Jeremy Allison 2011-08-31 00:38:49 UTC
Created attachment 6842 [details]
git-am fix for 3.6.1

This patch applies after metze's fixes to bug 8407 - "SMB2 server can return requests out-of-order when processing a compound request." have been applied.

Metze, please evaluate for 3.6.1.

Jeremy
Comment 3 Stefan Metzmacher 2011-09-03 13:13:54 UTC
Comment on attachment 6842 [details]
git-am fix for 3.6.1

Looks good
Comment 4 Stefan Metzmacher 2011-09-03 13:14:45 UTC
Karolin, please add cherry pick information (commit 786fe9fab223723e4d2340f285592b2a44945d73) while picking this into the release branches?
Comment 5 Karolin Seeger 2011-09-15 18:45:45 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!